--- title: "Get all bookings." slug: "get-all-bookings-3" updated: 2025-04-16T12:21:17Z published: 2025-09-17T12:02:00Z canonical: "docs.grassfish.com/get-all-bookings-3" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.grassfish.com/llms.txt > Use this file to discover all available pages before exploring further. # Get all bookings. Get/api/v1/Dooh/Bookings/{bookingId} SecurityAPI Key: bearerAuthQuery parameter name API Key: session_idHeader parameter nameX-Session-Id Session Id API Key: api_keyHeader parameter nameX-ApiKey Api Key API Key: session_cookieQuery parameter name Path parametersbookingIdinteger (int32) Required Responses200 OK Expand Allobject Represents an advertising booking, including campaign details, assigned players, and playback targets. idinteger (int32) Gets or sets the unique identifier for the booking. spotIdinteger (int32) Gets or sets the identifier of the associated spot. productIdinteger (int32) Gets or sets the identifier of the associated product. clientIdinteger (int32) Gets or sets the identifier of the client. campaignstring | null Gets or sets the campaign name. brandstring | null Gets or sets the brand name. descriptionstring | null Gets or sets the booking description. statestring Represents the possible states of a booking in the advertising booking system. Valid values[ "Registered", "Reserved", "ReservedWaitingList", "Ordered", "Running", "Canceled", "Completed" ] fromstring (date-time) Gets or sets the booking start time. Example2024-04-15T08:00:00Z tostring (date-time) Gets or sets the booking end time. Example2024-04-30T20:00:00Z validDayTimes Array of object (TimeRange) | null Gets or sets the valid time periods. If omitted, booking will play all day long. object Represents a time range with a start and end time in "HH:mm" format. fromstring | null Gets or sets the start time in "HH:mm" format. Pattern\d{2}:\d{2}Example08:00 tostring | null Gets or sets the end time in "HH:mm" format. Pattern\d{2}:\d{2}Example22:00 liveTags Array of object (LiveTag) | null Gets or sets the live tags. Only applicable for LiveTag products. object Represents a live tag with a parent tag and associated child tag ids. parentTagIdinteger (int32) Gets or sets the identifier of the parent tag. childTagIds Array of integer | null Gets or sets the list of child tag ids. integer (int32) playerIds Array of integer | null Gets or sets the assigned player IDs. integer (int32) externalLocationIds Array of string | null Gets or sets the assigned external location ids. string targetPlaybacksinteger (int32) | null Gets or sets the target playback count. Only applicable for LiveTag and Playback products. Example10000 targetShareOfVoicePercentageinteger (int32) | null Gets or sets the target percentage. Only applicable for ShareOfVoice products. Minimum0.0Maximum100.0Example10 targetFrequencyinteger (int32) | null Gets or sets the target frequency. Only applicable for Frequency products. Example120 Expand Allobject Represents an advertising booking, including campaign details, assigned players, and playback targets. idinteger (int32) Gets or sets the unique identifier for the booking. spotIdinteger (int32) Gets or sets the identifier of the associated spot. productIdinteger (int32) Gets or sets the identifier of the associated product. clientIdinteger (int32) Gets or sets the identifier of the client. campaignstring | null Gets or sets the campaign name. brandstring | null Gets or sets the brand name. descriptionstring | null Gets or sets the booking description. statestring Represents the possible states of a booking in the advertising booking system. Valid values[ "Registered", "Reserved", "ReservedWaitingList", "Ordered", "Running", "Canceled", "Completed" ] fromstring (date-time) Gets or sets the booking start time. Example2024-04-15T08:00:00Z tostring (date-time) Gets or sets the booking end time. Example2024-04-30T20:00:00Z validDayTimes Array of object (TimeRange) | null Gets or sets the valid time periods. If omitted, booking will play all day long. object Represents a time range with a start and end time in "HH:mm" format. fromstring | null Gets or sets the start time in "HH:mm" format. Pattern\d{2}:\d{2}Example08:00 tostring | null Gets or sets the end time in "HH:mm" format. Pattern\d{2}:\d{2}Example22:00 liveTags Array of object (LiveTag) | null Gets or sets the live tags. Only applicable for LiveTag products. object Represents a live tag with a parent tag and associated child tag ids. parentTagIdinteger (int32) Gets or sets the identifier of the parent tag. childTagIds Array of integer | null Gets or sets the list of child tag ids. integer (int32) playerIds Array of integer | null Gets or sets the assigned player IDs. integer (int32) externalLocationIds Array of string | null Gets or sets the assigned external location ids. string targetPlaybacksinteger (int32) | null Gets or sets the target playback count. Only applicable for LiveTag and Playback products. Example10000 targetShareOfVoicePercentageinteger (int32) | null Gets or sets the target percentage. Only applicable for ShareOfVoice products. Minimum0.0Maximum100.0Example10 targetFrequencyinteger (int32) | null Gets or sets the target frequency. Only applicable for Frequency products. Example120 Expand Allobject Represents an advertising booking, including campaign details, assigned players, and playback targets. idinteger (int32) Gets or sets the unique identifier for the booking. spotIdinteger (int32) Gets or sets the identifier of the associated spot. productIdinteger (int32) Gets or sets the identifier of the associated product. clientIdinteger (int32) Gets or sets the identifier of the client. campaignstring | null Gets or sets the campaign name. brandstring | null Gets or sets the brand name. descriptionstring | null Gets or sets the booking description. statestring Represents the possible states of a booking in the advertising booking system. Valid values[ "Registered", "Reserved", "ReservedWaitingList", "Ordered", "Running", "Canceled", "Completed" ] fromstring (date-time) Gets or sets the booking start time. Example2024-04-15T08:00:00Z tostring (date-time) Gets or sets the booking end time. Example2024-04-30T20:00:00Z validDayTimes Array of object (TimeRange) | null Gets or sets the valid time periods. If omitted, booking will play all day long. object Represents a time range with a start and end time in "HH:mm" format. fromstring | null Gets or sets the start time in "HH:mm" format. Pattern\d{2}:\d{2}Example08:00 tostring | null Gets or sets the end time in "HH:mm" format. Pattern\d{2}:\d{2}Example22:00 liveTags Array of object (LiveTag) | null Gets or sets the live tags. Only applicable for LiveTag products. object Represents a live tag with a parent tag and associated child tag ids. parentTagIdinteger (int32) Gets or sets the identifier of the parent tag. childTagIds Array of integer | null Gets or sets the list of child tag ids. integer (int32) playerIds Array of integer | null Gets or sets the assigned player IDs. integer (int32) externalLocationIds Array of string | null Gets or sets the assigned external location ids. string targetPlaybacksinteger (int32) | null Gets or sets the target playback count. Only applicable for LiveTag and Playback products. Example10000 targetShareOfVoicePercentageinteger (int32) | null Gets or sets the target percentage. Only applicable for ShareOfVoice products. Minimum0.0Maximum100.0Example10 targetFrequencyinteger (int32) | null Gets or sets the target frequency. Only applicable for Frequency products. Example120 401 Unauthorized object typestring | null titlestring | null statusinteger (int32) | null detailstring | null instancestring | null property* object typestring | null titlestring | null statusinteger (int32) | null detailstring | null instancestring | null property* object typestring | null titlestring | null statusinteger (int32) | null detailstring | null instancestring | null property* 403 Forbidden object typestring | null titlestring | null statusinteger (int32) | null detailstring | null instancestring | null property* object typestring | null titlestring | null statusinteger (int32) | null detailstring | null instancestring | null property* object typestring | null titlestring | null statusinteger (int32) | null detailstring | null instancestring | null property* 404 Not Found object typestring | null titlestring | null statusinteger (int32) | null detailstring | null instancestring | null property* object typestring | null titlestring | null statusinteger (int32) | null detailstring | null instancestring | null property* object typestring | null titlestring | null statusinteger (int32) | null detailstring | null instancestring | null property* default Error object typestring | null titlestring | null statusinteger (int32) | null detailstring | null instancestring | null property* object typestring | null titlestring | null statusinteger (int32) | null detailstring | null instancestring | null property* object typestring | null titlestring | null statusinteger (int32) | null detailstring | null instancestring | null property*